Passer au contenu principal
POST
/
projects
/
{projectId}
/
tasks
/
lyrics-sync
Run lyrics sync for a project
curl --request POST \
  --url https://api.youka.io/api/v1/projects/{projectId}/tasks/lyrics-sync \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "lyricsSource": {
    "type": "<string>",
    "language": "af",
    "syncModel": "audioshake-transcription"
  }
}
'
{
  "projectId": "<string>",
  "taskId": "<string>",
  "projectUrl": "<string>",
  "taskUrl": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

En-têtes

Idempotency-Key
string

Paramètres de chemin

projectId
string
requis

Corps

application/json
lyricsSource
object

Réponse

202 - application/json

Lyrics sync task accepted

projectId
string
requis
taskId
string
requis
projectUrl
string<uri>
requis
taskUrl
string<uri>
requis